<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from mbigint_prod.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="percentmbigint_prod" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>mbigint_prod</refname>
    <refpurpose>bigint matrix prod</refpurpose>
  </refnamediv>


<refsection>
   <title>Parameters</title>
   <variablelist>
        <varlistentry>
            <term>M :</term>
            <listitem><para> mbigint</para></listitem>
        </varlistentry>
        <varlistentry>
            <term>S :</term>
            <listitem><para> bigint or mbigint</para></listitem>
        </varlistentry>
        <varlistentry>
            <term>opt :</term>
            <listitem><para> string 'c' or 'r'</para></listitem>
        </varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
product of the bigint matrix entries, you can specify product over rows/column with optional argument 'r' ou 'c' .
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[

x=bigint(123456789);
y=bigint(987654321);
z=x-y;
L=[x y z]
prod(L) //= x*y*z
x*y*z
M=[L; L]
prod(M)
prod(M,'r') // = [x^2 y^2 z^2]
prod(M,'c') // = [x*y*z;x*y*z]

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="size">size</link></member>
   <member><link linkend="matrix_bigint">matrix_bigint</link></member>
   <member><link linkend="mbigint">mbigint</link></member>
   <member><link linkend="prod">prod</link></member>
   <member><link linkend="mbigint_prod">mbigint_prod</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Philippe Roux</member>
   </simplelist>
</refsection>
</refentry>
